OptimizerFactory.OptimizerSupport (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id.enhanced
Class OptimizerFactory.OptimizerSupport

    java.lang.Object
      org.hibernate.id.enhanced.OptimizerFactory.OptimizerSupport

All Implemented Interfaces:
  Optimizer

Direct Known Subclasses:
  OptimizerFactory.HiLoOptimizer, OptimizerFactory.LegacyHiLoAlgorithmOptimizer, OptimizerFactory.NoopOptimizer, OptimizerFactory.PooledLoOptimizer, OptimizerFactory.PooledOptimizer

Enclosing class:
  OptimizerFactory

    public abstract static class OptimizerFactory.OptimizerSupport

extends Object
implements Optimizer

Common support for optimizer implementations.

Field Summary
`protected int` | `incrementSize`
`protected Class` | `returnClass`

Constructor Summary
`protected` | `OptimizerFactory.OptimizerSupport(Class returnClass, int incrementSize)` Construct an optimizer

Method Summary
`int` | `getIncrementSize()` Retrieves the defined increment size.
`Class` | `getReturnClass()` Getter for property 'returnClass'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.id.enhanced.Optimizer
`applyIncrementSizeToSourceValues, generate, getLastSourceValue`

Field Detail

### returnClass

    protected final Class returnClass

### incrementSize

    protected final int incrementSize

Constructor Detail

### OptimizerFactory.OptimizerSupport

    protected OptimizerFactory.OptimizerSupport(Class returnClass,
                                                int incrementSize)

  Construct an optimizer

  Parameters:
    `returnClass` - The expected id class.
    `incrementSize` - The increment size

Method Detail

### getReturnClass

    public final Class getReturnClass()

  Getter for property 'returnClass'. This is the Java class which is used to represent the id (e.g. `Long`).

  Returns:
    Value for property 'returnClass'.

### getIncrementSize

    public final int getIncrementSize()

  Description copied from interface: `Optimizer`
  Retrieves the defined increment size.

  Specified by:
    `getIncrementSize` in interface `Optimizer`
  Returns:
    The increment size.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.